# Reno desktop - awesomewm || ( openbox && xfce )

Reno is an evolution of my previous configuration, https://512mb.org/git/Yessiest/awesome. This time, this bad boy can fit 90% more configuration options, through the use of AWMTK2 (or RenoTK, haven't really decided on the name).

Through advancements in the ~~science~~ dark magic art of lua metatablery, AWMTK2 makes it possible to create complex and visually rich themes, while mainting relatively low memory footprint.

Thanks to the ethically questionable decision of employing JSON to Widget Layout conversion, this desktop allows for customization of panels, context menus, lock screens, and other widget containers of various sizes and shapes.

## Screenshots

#### Current default theme, Reno98
![Totally not windows 98 trust me it's legally distinct](https://adastra7.net/git/Yessiest/reno/raw/branch/master/extra/screenshots/reno98.png)

- Works best with [Chicago95](https://github.com/grassmunk/Chicago95) for GTK and [QTStep (QTStepWMakerDefault in particular)](https://github.com/andbgr/QTStep) on [Kvantum](https://github.com/tsujan/Kvantum).
- For Wine apps, use `winecfg`, go to Desktop Integration and set "(No Theme)" under "Theme". A matching QTStep theme is "QTStepBeige", but it doesn't quite match Chicago95, so you may want to configure the window colors using the Item editor, or by installing a custom theme.


#### Unity: a theme that mimics the look of Ubuntu with Ambiance theme
![Totally not ubuntu guys how can't you see that](https://adastra7.net/git/Yessiest/reno/raw/branch/master/extra/screenshots/unity.png)

- Works best with official [Ubuntu Themes](https://launchpad.net/ubuntu-themes) ([AUR package](https://aur.archlinux.org/packages/ubuntu-themes)) for GTK and [Kvantum's](https://github.com/tsujan/Kvantum) default themes KvAmbiance or KvAmbience.
- For Wine apps, [Ubuntu Light for Windows XP](http://freddi67.deviantart.com/art/Ubuntu-Light-for-Windows-XP-177514325) theme exists on DeviantArt, which you can install using `winecfg`.

## Installation

Reno internally requires [ImageMagick](https://imagemagick.org/) to generate thumbnails for images. Please consider installing ImageMagick for things to function correctly.

1. `git clone` the repository to your .config folder
2. Rename `reno` folder to `awesome`
3. Install AwesomeWM (version 4.3 as of right now)
4. Change your shell, terminal emulator, browser, keybindings and other settings in `desktop.conf`
5. (Optional) Read additional installation steps in `extra/README.md`
6. Reload your awesomewm if you have already loaded it.

## Keybindings and user guide
- press win+s
- read extra/README.md
- enjoy

## Feedback

Your feedback would be highly appreciated. However, please understand that I may not be able to answer all of your issues in a timely manner.

## Roadmap

- [x] Port widgets from original config to AWMTK2
- [x] Finish Reno98 theme
- [ ] Add a GTK configuration app
- [x] Port Ubuntu themes from original config to AWMTK2
- [ ] Release docs and recommendations for theme and widget creation
- [x] De-hardcode keybinding system

## License

```
    Reno98 desktop - a flexible awesomewm config
    Copyright (C) 2022 yessiest (yessiest@memeware.net)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
```
